// Code generated by github.com/atombender/go-jsonschema, DO NOT EDIT.

package frames

import "fmt"
import "encoding/json"

// Decoded RX frame received by radio.
type RotorCtlSchemaJson struct {
	// Azimuth calculated for rotor.
	Azimuth float64 `json:"azimuth" yaml:"azimuth" mapstructure:"azimuth"`

	// Elevation calculated for rotor.
	Elevation float64 `json:"elevation" yaml:"elevation" mapstructure:"elevation"`
}

// UnmarshalJSON implements json.Unmarshaler.
func (j *RotorCtlSchemaJson) UnmarshalJSON(b []byte) error {
	var raw map[string]interface{}
	if err := json.Unmarshal(b, &raw); err != nil {
		return err
	}
	if v, ok := raw["azimuth"]; !ok || v == nil {
		return fmt.Errorf("field azimuth in RotorCtlSchemaJson: required")
	}
	if v, ok := raw["elevation"]; !ok || v == nil {
		return fmt.Errorf("field elevation in RotorCtlSchemaJson: required")
	}
	type Plain RotorCtlSchemaJson
	var plain Plain
	if err := json.Unmarshal(b, &plain); err != nil {
		return err
	}
	*j = RotorCtlSchemaJson(plain)
	return nil
}
